Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCast Class Reference

`#include <vtkImageCast.h>`

Inheritance diagram for vtkImageCast:

[legend]
Collaboration diagram for vtkImageCast:

[legend]
List of all members.

## Detailed Description

Image Data type Casting Filter.

Date:
  2002/01/22 15:31:58

Revision:
  1.37

vtkImageCast filter casts the input type to match the output type in the image processing pipeline. The filter does nothing if the input already has the correct type. To specify the "CastTo" type, use "SetOutputScalarType" method.

See also:
  vtkImageThreshold vtkImageShiftScale

Created by:
  - Alyassin, Majeid

CVS contributions (if > 5%):
  - Martin, Ken (33%)
  - Alyassin, Majeid (25%)
  - Law, Charles (19%)
  - Lorensen, Bill (11%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageCast.h)`
  - .`cxx` (`/Imaging/vtkImageCast.cxx)`

Examples:
  vtkImageCast (Examples)

Tests:
  vtkImageCast (Tests)

Definition at line 56 of file vtkImageCast.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOutputScalarType (int)
virtual int | GetOutputScalarType ()
void | SetOutputScalarTypeToFloat ()
void | SetOutputScalarTypeToDouble ()
void | SetOutputScalarTypeToInt ()
void | SetOutputScalarTypeToUnsignedInt ()
void | SetOutputScalarTypeToLong ()
void | SetOutputScalarTypeToUnsignedLong ()
void | SetOutputScalarTypeToShort ()
void | SetOutputScalarTypeToUnsignedShort ()
void | SetOutputScalarTypeToUnsignedChar ()
void | SetOutputScalarTypeToChar ()
virtual void | SetClampOverflow (int)
virtual int | GetClampOverflow ()
virtual void | ClampOverflowOn ()
virtual void | ClampOverflowOff ()
## Static Public Methods
vtkImageCast * | New ()
int | IsTypeOf (const char *type)
vtkImageCast * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCast ()
| ~vtkImageCast ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | UpdateData (vtkDataObject *data)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
int | ClampOverflow
int | OutputScalarType

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageCast::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 60 of file vtkImageCast.h.

## Constructor & Destructor Documentation

vtkImageCast::vtkImageCast | ( |  | ) | `[protected]`

vtkImageCast::~vtkImageCast | ( |  | ) | `[inline, protected]`

| Definition at line 96 of file vtkImageCast.h.

## Member Function Documentation

vtkImageCast* vtkImageCast::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCast::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageCast::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageCast::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageCast* vtkImageCast::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageCast::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageCast::SetOutputScalarType | ( | int |  | ) | `[virtual]`

| Set the desired output scalar type to cast to.

virtual int vtkImageCast::GetOutputScalarType | ( |  | ) | `[virtual]`

| Set the desired output scalar type to cast to.

void vtkImageCast::SetOutputScalarTypeToFloat | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 67 of file vtkImageCast.h. References VTK_FLOAT.

void vtkImageCast::SetOutputScalarTypeToDouble | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 68 of file vtkImageCast.h. References VTK_DOUBLE.

void vtkImageCast::SetOutputScalarTypeToInt | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 69 of file vtkImageCast.h. References VTK_INT.

void vtkImageCast::SetOutputScalarTypeToUnsignedInt | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 70 of file vtkImageCast.h. References VTK_UNSIGNED_INT.

void vtkImageCast::SetOutputScalarTypeToLong | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 72 of file vtkImageCast.h. References VTK_LONG.

void vtkImageCast::SetOutputScalarTypeToUnsignedLong | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 73 of file vtkImageCast.h. References VTK_UNSIGNED_LONG.

void vtkImageCast::SetOutputScalarTypeToShort | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 75 of file vtkImageCast.h. References VTK_SHORT.

void vtkImageCast::SetOutputScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 76 of file vtkImageCast.h. References VTK_UNSIGNED_SHORT.

void vtkImageCast::SetOutputScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 78 of file vtkImageCast.h. References VTK_UNSIGNED_CHAR.

void vtkImageCast::SetOutputScalarTypeToChar | ( |  | ) | `[inline]`

| Set the desired output scalar type to cast to. Definition at line 80 of file vtkImageCast.h. References VTK_CHAR.

virtual void vtkImageCast::SetClampOverflow | ( | int |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default ClampOverflow is off.

virtual int vtkImageCast::GetClampOverflow | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default ClampOverflow is off.

virtual void vtkImageCast::ClampOverflowOn | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default ClampOverflow is off.

virtual void vtkImageCast::ClampOverflowOff | ( |  | ) | `[virtual]`

| When the ClampOverflow flag is on, the data is thresholded so that the output value does not exceed the max or min of the data type. By default ClampOverflow is off.

void vtkImageCast::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageCast::UpdateData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkImageCast::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 102 of file vtkImageCast.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageCast::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageCast::ClampOverflow`[protected]`

| Definition at line 98 of file vtkImageCast.h.

int vtkImageCast::OutputScalarType`[protected]`

| Definition at line 99 of file vtkImageCast.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCast.h